#
# Copyright (C) 2000, 2001, 2002 Loic Dachary <loic@senga.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

# This Makefile produced by Katherine Don for the Greenstone Digial Library
# software

VERSION = @VERSION@

CC = @CC@
AR = ar
RANLIB = @RANLIB@

LIBICONV = @LIBICONV@
LTLIBICONV = @LTLIBICONV@


DEFS = @DEFS@ -DUNAC_VERSION=\"$(VERSION)\"
INCLUDES = -I../../../packages/iconv/include 
CFLAGS = @CFLAGS@ @ARCH_DEP_FLAGS@

COMPILE = $(CC) -c $(DEFS) $(INCLUDES)  $(CFLAGS)

.SUFFIXES:
.SUFFIXES: .c .o
.c.o:
	$(COMPILE) $<

HEADERS = unac.h

SOURCES = unac.c 

OBJECTS = unac.o 


all : libunac.a


libunac.a: $(OBJECTS)
	rm -f libunac.a
	$(AR) cru libunac.a $(OBJECTS)
	$(RANLIB) libunac.a


install:

clean:
	rm -f *.o libunac.a

distclean: clean
	rm -f Makefile config.h config.log config.status


